OdpGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdpGenerator Class Reference

A generator for presentations. More...

`#include <OdpGenerator.hxx>`

Inheritance diagram for OdpGenerator:

## Public Member Functions
| OdpGenerator ()
| ~OdpGenerator ()
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | startDocument (const ::librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | setDocumentMetaData (const ::librevenge::RVNGPropertyList &propList)
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | startSlide (const ::librevenge::RVNGPropertyList &propList)
void | endSlide ()
void | startMasterSlide (const ::librevenge::RVNGPropertyList &propList)
void | endMasterSlide ()
void | setSlideTransition (const ::librevenge::RVNGPropertyList &propList)
void | startLayer (const ::librevenge::RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | setStyle (const ::librevenge::RVNGPropertyList &propList)
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList)
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList)
void | drawPolyline (const ::librevenge::RVNGPropertyList &propList)
void | drawPolygon (const ::librevenge::RVNGPropertyList &propList)
void | drawPath (const ::librevenge::RVNGPropertyList &propList)
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | startTextObject (const ::librevenge::RVNGPropertyList &propList)
void | endTextObject ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const ::librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const ::librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | insertText (const ::librevenge::RVNGString &str)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()
void | insertField (const ::librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const ::librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const ::librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const ::librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | startTableObject (const ::librevenge::RVNGPropertyList &propList)
void | openTableRow (const ::librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const ::librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const ::librevenge::RVNGPropertyList &propList)
void | endTableObject ()
void | startComment (const ::librevenge::RVNGPropertyList &propList)
void | endComment ()
void | startNotes (const ::librevenge::RVNGPropertyList &propList)
void | endNotes ()
void | defineChartStyle (const ::librevenge::RVNGPropertyList &propList)
void | openChart (const ::librevenge::RVNGPropertyList &propList)
void | closeChart ()
void | openChartTextObject (const ::librevenge::RVNGPropertyList &propList)
void | closeChartTextObject ()
void | openChartPlotArea (const ::librevenge::RVNGPropertyList &propList)
void | closeChartPlotArea ()
void | insertChartAxis (const ::librevenge::RVNGPropertyList &propList)
void | openChartSeries (const ::librevenge::RVNGPropertyList &propList)
void | closeChartSeries ()
void | openAnimationSequence (const ::librevenge::RVNGPropertyList &propList)
void | closeAnimationSequence ()
void | openAnimationGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeAnimationGroup ()
void | openAnimationIteration (const ::librevenge::RVNGPropertyList &propList)
void | closeAnimationIteration ()
void | insertMotionAnimation (const ::librevenge::RVNGPropertyList &propList)
void | insertColorAnimation (const ::librevenge::RVNGPropertyList &propList)
void | insertAnimation (const ::librevenge::RVNGPropertyList &propList)
void | insertEffect (const ::librevenge::RVNGPropertyList &propList)
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images. More...
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects. More...
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler) More...

## Private Member Functions
| OdpGenerator (OdpGenerator const &)
OdpGenerator & | operator= (OdpGenerator const &)

## Private Attributes
OdpGeneratorPrivate * | mpImpl

## Detailed Description

A generator for presentations.

See `librevenge` library for documentation of the librevenge::KEYPresentationInterface interface.

## Constructor & Destructor Documentation

## ◆ OdpGenerator() [1/2]

OdpGenerator::OdpGenerator | ( |  | ) |

## ◆ ~OdpGenerator()

OdpGenerator::~OdpGenerator | ( |  | ) |

## ◆ OdpGenerator() [2/2]

OdpGenerator::OdpGenerator | ( | OdpGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdpGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType
| ) |  |

## ◆ closeAnimationGroup()

void OdpGenerator::closeAnimationGroup | ( |  | ) |

## ◆ closeAnimationIteration()

void OdpGenerator::closeAnimationIteration | ( |  | ) |

## ◆ closeAnimationSequence()

void OdpGenerator::closeAnimationSequence | ( |  | ) |

## ◆ closeChart()

void OdpGenerator::closeChart | ( |  | ) |

## ◆ closeChartPlotArea()

void OdpGenerator::closeChartPlotArea | ( |  | ) |

## ◆ closeChartSeries()

void OdpGenerator::closeChartSeries | ( |  | ) |

## ◆ closeChartTextObject()

void OdpGenerator::closeChartTextObject | ( |  | ) |

## ◆ closeGroup()

void OdpGenerator::closeGroup | ( |  | ) |

## ◆ closeLink()

void OdpGenerator::closeLink | ( |  | ) |

## ◆ closeListElement()

void OdpGenerator::closeListElement | ( |  | ) |

## ◆ closeOrderedListLevel()

void OdpGenerator::closeOrderedListLevel | ( |  | ) |

## ◆ closeParagraph()

void OdpGenerator::closeParagraph | ( |  | ) |

## ◆ closeSpan()

void OdpGenerator::closeSpan | ( |  | ) |

## ◆ closeTableCell()

void OdpGenerator::closeTableCell | ( |  | ) |

## ◆ closeTableRow()

void OdpGenerator::closeTableRow | ( |  | ) |

## ◆ closeUnorderedListLevel()

void OdpGenerator::closeUnorderedListLevel | ( |  | ) |

## ◆ defineCharacterStyle()

void OdpGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineChartStyle()

void OdpGenerator::defineChartStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineEmbeddedFont()

void OdpGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineParagraphStyle()

void OdpGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawConnector()

void OdpGenerator::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawEllipse()

void OdpGenerator::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawGraphicObject()

void OdpGenerator::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPath()

void OdpGenerator::drawPath | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolygon()

void OdpGenerator::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolyline()

void OdpGenerator::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawRectangle()

void OdpGenerator::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ endComment()

void OdpGenerator::endComment | ( |  | ) |

## ◆ endDocument()

void OdpGenerator::endDocument | ( |  | ) |

## ◆ endEmbeddedGraphics()

void OdpGenerator::endEmbeddedGraphics | ( |  | ) |

## ◆ endLayer()

void OdpGenerator::endLayer | ( |  | ) |

## ◆ endMasterSlide()

void OdpGenerator::endMasterSlide | ( |  | ) |

## ◆ endNotes()

void OdpGenerator::endNotes | ( |  | ) |

## ◆ endSlide()

void OdpGenerator::endSlide | ( |  | ) |

## ◆ endTableObject()

void OdpGenerator::endTableObject | ( |  | ) |

## ◆ endTextObject()

void OdpGenerator::endTextObject | ( |  | ) |

## ◆ getObjectContent()

bool OdpGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler
| ) |  |

## ◆ getObjectNames()

librevenge::RVNGStringVector OdpGenerator::getObjectNames | ( |  | ) | const

## ◆ initStateWith()

void OdpGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertAnimation()

void OdpGenerator::insertAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertChartAxis()

void OdpGenerator::insertChartAxis | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertColorAnimation()

void OdpGenerator::insertColorAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertCoveredTableCell()

void OdpGenerator::insertCoveredTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertEffect()

void OdpGenerator::insertEffect | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertField()

void OdpGenerator::insertField | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertLineBreak()

void OdpGenerator::insertLineBreak | ( |  | ) |

## ◆ insertMotionAnimation()

void OdpGenerator::insertMotionAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertSpace()

void OdpGenerator::insertSpace | ( |  | ) |

## ◆ insertTab()

void OdpGenerator::insertTab | ( |  | ) |

## ◆ insertText()

void OdpGenerator::insertText | ( | const ::librevenge::RVNGString & | str | ) |

## ◆ openAnimationGroup()

void OdpGenerator::openAnimationGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openAnimationIteration()

void OdpGenerator::openAnimationIteration | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openAnimationSequence()

void OdpGenerator::openAnimationSequence | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChart()

void OdpGenerator::openChart | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChartPlotArea()

void OdpGenerator::openChartPlotArea | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChartSeries()

void OdpGenerator::openChartSeries | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChartTextObject()

void OdpGenerator::openChartTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openGroup()

void OdpGenerator::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openLink()

void OdpGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openListElement()

void OdpGenerator::openListElement | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openOrderedListLevel()

void OdpGenerator::openOrderedListLevel | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openParagraph()

void OdpGenerator::openParagraph | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSpan()

void OdpGenerator::openSpan | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableCell()

void OdpGenerator::openTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableRow()

void OdpGenerator::openTableRow | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openUnorderedListLevel()

void OdpGenerator::openUnorderedListLevel | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ operator=()

OdpGenerator& OdpGenerator::operator= | ( | OdpGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdpGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler
| ) |  |

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdpGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler
| ) |  |

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdpGenerator::setDocumentMetaData | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ setSlideTransition()

void OdpGenerator::setSlideTransition | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ setStyle()

void OdpGenerator::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startComment()

void OdpGenerator::startComment | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startDocument()

void OdpGenerator::startDocument | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startEmbeddedGraphics()

void OdpGenerator::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startLayer()

void OdpGenerator::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startMasterSlide()

void OdpGenerator::startMasterSlide | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startNotes()

void OdpGenerator::startNotes | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startSlide()

void OdpGenerator::startSlide | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startTableObject()

void OdpGenerator::startTableObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startTextObject()

void OdpGenerator::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

## ◆ mpImpl

OdpGeneratorPrivate* OdpGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdpGenerator.hxx